View Issue Details

IDProjectCategoryView StatusLast Update
0005884Kali Linux[All Projects] General Bugpublic2019-12-10 09:41
ReporterSirEvgen Assigned Torhertzog  
PriorityimmediateSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2019.4 
Target VersionFixed in Version2020.1 
Summary0005884: After upgrade
Descriptionafter upgrade linux wireless have name "wlx44334c3f9569" instead "wlan0". and kde plasma have mani bugs in desktop themes. fonts, colors.

Activities

SirEvgen

2019-12-07 15:38

reporter  

image.png (130,819 bytes)
image.png (130,819 bytes)

elitehunter

2019-12-07 16:09

reporter   ~0011593

I have the same problem. After upgrading, my atheros ar9271 drver has changed to wlx00117f1b8dec and it's not showing my old wlan0 network interface. This new interface barely works in monitor mode but the problem is, i cannot connect to my wifi. It shows available wifi though, it does not connect to any of them. Spent the whole figuring out the issue but nowhere is any solution.

20191207_220210.jpg (1,209,643 bytes)

usama

2019-12-08 03:55

reporter   ~0011597

my railink adapter now showing wlx000762cfe instead of wlan1 after upgrading to kali 2019.4 though i renamed it back to wlan1 using this command "ip link set wlx000762cfe name wlan1" and wifi started working again.

SirEvgen

2019-12-08 06:16

reporter   ~0011601

usama, yes, it work, but after reboot name "wlan0" reset to default "wlxa...".

a6390805

2019-12-09 11:16

reporter   ~0011605

Edit the file
73-special-net-names.rules
with your favorite editor
in /etc/udev/rules.d:

copy/paste in this information. remember, each rule needs to be on it's own line and reboot...


# wlan0
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:01:02:03:04:05",
ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="wlan*", NAME="wlan0"

rhertzog

2019-12-10 09:41

administrator   ~0011626

This should be fixed with kali-defaults 2020.1.0.

To disable the MAC-based naming, kali-defaults is now setting up this symlink:
ln -sf /dev/null /etc/systemd/network/73-usb-net-by-mac.link

This regression is related to a change in systemd 244-2 that replaced the former udev rule with this systemd configuration file.

Issue History

Date Modified Username Field Change
2019-12-07 15:38 SirEvgen New Issue
2019-12-07 15:38 SirEvgen File Added: image.png
2019-12-07 16:09 elitehunter File Added: 20191207_220210.jpg
2019-12-07 16:09 elitehunter Note Added: 0011593
2019-12-08 03:55 usama Note Added: 0011597
2019-12-08 06:16 SirEvgen Note Added: 0011601
2019-12-09 11:16 a6390805 Note Added: 0011605
2019-12-10 09:41 rhertzog Assigned To => rhertzog
2019-12-10 09:41 rhertzog Status new => resolved
2019-12-10 09:41 rhertzog Resolution open => fixed
2019-12-10 09:41 rhertzog Fixed in Version => 2020.1
2019-12-10 09:41 rhertzog Note Added: 0011626